* section: [driver]

  +----------------------------------+----------------+----------------------------------------------------+
  | option                           | value          | description                                        |
  +==================================+================+====================================================+
  | tmax                             | ``1.0``        | maximum simulation time to evolve                  |
  +----------------------------------+----------------+----------------------------------------------------+
  | max_steps                        | ``10000``      | maximum number of steps to take                    |
  +----------------------------------+----------------+----------------------------------------------------+
  | fix_dt                           | ``-1.0``       |                                                    |
  +----------------------------------+----------------+----------------------------------------------------+
  | init_tstep_factor                | ``0.01``       | first timestep = init_tstep_factor * CFL timestep  |
  +----------------------------------+----------------+----------------------------------------------------+
  | max_dt_change                    | ``2.0``        | max amount the timestep can change between steps   |
  +----------------------------------+----------------+----------------------------------------------------+
  | verbose                          | ``1.0``        | verbosity                                          |
  +----------------------------------+----------------+----------------------------------------------------+

* section: [io]

  +----------------------------------+----------------+----------------------------------------------------+
  | option                           | value          | description                                        |
  +==================================+================+====================================================+
  | basename                         | ``pyro_``      | basename for output files                          |
  +----------------------------------+----------------+----------------------------------------------------+
  | dt_out                           | ``0.1``        | simulation time between writing output files       |
  +----------------------------------+----------------+----------------------------------------------------+
  | n_out                            | ``10000``      | number of timesteps between writing output files   |
  +----------------------------------+----------------+----------------------------------------------------+
  | do_io                            | ``1``          | do we output at all?                               |
  +----------------------------------+----------------+----------------------------------------------------+

* section: [mesh]

  +----------------------------------+----------------+----------------------------------------------------+
  | option                           | value          | description                                        |
  +==================================+================+====================================================+
  | xmin                             | ``0.0``        | domain minimum x-coordinate                        |
  +----------------------------------+----------------+----------------------------------------------------+
  | xmax                             | ``1.0``        | domain maximum x-coordinate                        |
  +----------------------------------+----------------+----------------------------------------------------+
  | ymin                             | ``0.0``        | domain minimum y-coordinate                        |
  +----------------------------------+----------------+----------------------------------------------------+
  | ymax                             | ``1.0``        | domain maximum y-coordinate                        |
  +----------------------------------+----------------+----------------------------------------------------+
  | xlboundary                       | ``reflect``    | minimum x BC ('reflect', 'outflow', or 'periodic') |
  +----------------------------------+----------------+----------------------------------------------------+
  | xrboundary                       | ``reflect``    | maximum x BC ('reflect', 'outflow', or 'periodic') |
  +----------------------------------+----------------+----------------------------------------------------+
  | ylboundary                       | ``reflect``    | minimum y BC ('reflect', 'outflow', or 'periodic') |
  +----------------------------------+----------------+----------------------------------------------------+
  | yrboundary                       | ``reflect``    | maximum y BC ('reflect', 'outflow', or 'periodic') |
  +----------------------------------+----------------+----------------------------------------------------+
  | nx                               | ``25``         | number of zones in the x-direction                 |
  +----------------------------------+----------------+----------------------------------------------------+
  | ny                               | ``25``         | number of zones in the y-direction                 |
  +----------------------------------+----------------+----------------------------------------------------+

* section: [particles]

  +----------------------------------+----------------+----------------------------------------------------+
  | option                           | value          | description                                        |
  +==================================+================+====================================================+
  | do_particles                     | ``0``          | include particles? (1=yes, 0=no)                   |
  +----------------------------------+----------------+----------------------------------------------------+
  | n_particles                      | ``100``        | number of particles                                |
  +----------------------------------+----------------+----------------------------------------------------+
  | particle_generator               | ``random``     | how do we generate particles? (random, grid)       |
  +----------------------------------+----------------+----------------------------------------------------+

* section: [vis]

  +----------------------------------+----------------+----------------------------------------------------+
  | option                           | value          | description                                        |
  +==================================+================+====================================================+
  | dovis                            | ``1``          | runtime visualization? (1=yes, 0=no)               |
  +----------------------------------+----------------+----------------------------------------------------+
  | store_images                     | ``0``          | store vis images to files (1=yes, 0=no)            |
  +----------------------------------+----------------+----------------------------------------------------+

